# Class Value

java.lang.Object
org.snpsift.lang.Value

public class Value extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`
`static final Value`
`FALSE`
`static final Value`
`NULL`
`static final Value`
`TRUE`

## Constructor Summary

Constructors
Constructor
Description
`Value(Object value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`asBool()`
`double`
`asFloat()`
`long`
`asInt()`
`String`
`asString()`
`boolean`
`canBeFloat()`
`boolean`
`canBeInt()`
`boolean`
`canCompare(Value val)`
Can these values be compared?
`int`
`compareTo(Value val)`
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`boolean`
`isBool()`
`boolean`
`isFloat()`
`boolean`
`isInt()`
`boolean`
`isNull()`
`boolean`
`isString()`
`String`
`toString()`
`org.snpeff.vcf.VcfInfoType`
`type()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### debug

public static boolean debug

### FALSE

public static final Value FALSE

### TRUE

public static final Value TRUE

### NULL

public static final Value NULL

## Constructor Details

### Value

public Value(Object value)

## Method Details

### asBool

public boolean asBool()

### asFloat

public double asFloat()

### asInt

public long asInt()

### asString

public String asString()

### canBeFloat

public boolean canBeFloat()

### canBeInt

public boolean canBeInt()

### canCompare

public boolean canCompare(Value val)
Can these values be compared?

### compareTo

public int compareTo(Value val)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### isBool

public boolean isBool()

### isFloat

public boolean isFloat()

### isInt

public boolean isInt()

### isNull

public boolean isNull()

### isString

public boolean isString()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### type

public org.snpeff.vcf.VcfInfoType type()